Name: tkabber
Version: 0.9.9
Release: alt0.M30.1

Packager: Sergey Kalinin  <banzaj@altlinux.ru>

Summary: TkAbber is an open source Jabber Client.
Summary(ru_RU.KOI8-R): Tkabber -  Jabber 
License: GPL
Group: Networking/Instant messaging
Url: http://tkabber.jabber.ru/ru/

BuildArch: noarch

Source0: %name-%version.tar.bz2
Source1: %name
Source2: %name.menu
Source3: %name.xpm
Source4: %name-mini.xpm
Source5: %name-large.xpm

Requires: bwidget tcllib urlview tcl-tls tcl-gpgme

%description
Tkabber provides a Tcl/Tk interface to the Jabber instant
messaging and presence service.
Wtiting in Tcl/Tk, used TclLib and BWidget, working on Linux,
FreeBSD, NetBSD, Solaris and Windows 98/2000/XP.

%description -l ru_RU.KOI8-R
Tkabber --    Jabber.   Tcl/Tk, 
Tcllib  BWidget,      ,
   Tcl/Tk. ,     Linux,
FreeBSD, NetBSD, Solaris  Windows 98/2000/XP.

%prep
%setup -n %name-%version
%__chmod 644 jabberlib-tclxml/tclxml/*.tcl

%build

%install
%__mkdir_p %buildroot%_datadir/%name
%__mkdir_p %buildroot%_docdir/%name-%version
%__mkdir_p %buildroot%_menudir
%__mkdir_p %buildroot%_bindir
%__mkdir_p %buildroot{%_liconsdir,%_miconsdir}

%__install -m755 %SOURCE1 %buildroot%_bindir/%name
%__install -m644 %SOURCE2 %buildroot%_menudir/%name

%__install -p -m644 *.tcl %buildroot%_datadir/%name/
%__install -p -m755 %name.tcl %buildroot%_datadir/%name/

%__cp -r aniemoteicons %buildroot%_datadir/%name/
%__cp -r emoticons-tkabber %buildroot%_datadir/%name/
%__cp -r ifacetk %buildroot%_datadir/%name/
%__cp -r jabberlib-tclxml %buildroot%_datadir/%name/
%__cp -r mclistbox-1.02 %buildroot%_datadir/%name/
%__cp -r msgs %buildroot%_datadir/%name/
%__cp -r pixmaps %buildroot%_datadir/%name/
%__cp -r plugins %buildroot%_datadir/%name/
%__cp -r sounds %buildroot%_datadir/%name/
%__cp -r textundo %buildroot%_datadir/%name/

%__cp -r contrib %buildroot%_docdir/%name-%version/
%__cp -r examples %buildroot%_docdir/%name-%version/
%__cp doc/* %buildroot%_docdir/%name-%version/
%__cp {AUTHORS,COPYING,ChangeLog} %buildroot%_docdir/%name-%version/

#menu icons
%__install -m644 %SOURCE3 %buildroot%_iconsdir/%name.xpm
%__install -m644 %SOURCE4 %buildroot%_miconsdir/%name.xpm
%__install -m644 %SOURCE5 %buildroot%_liconsdir/%name.xpm

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/%name
%_datadir/%name
%_menudir/%name
%_iconsdir/%name.xpm
%_liconsdir/%name.xpm
%_miconsdir/%name.xpm
%_docdir/%name-%version

%changelog
* Fri Aug 18 2006 Alexey Borovskoy <alb@altlinux.ru> 0.9.9-alt0.M30.1
- Backport to Compact 3.0.

* Mon Jul 03 2006 Alexey Borovskoy <alb@altlinux.ru> 0.9.9-alt0.M24.1
- New version: 0.9.9.

* Wed Sep 28 2005 Alexey Borovskoy <alb@altlinux.ru> 0.9.8-alt0.M24.2
- Fix bugs in menu file

* Wed Aug 24 2005 Alexey Borovskoy <alb@altlinux.ru> 0.9.8-alt0.M24.1
- New version: 0.9.8
- Spec cleanup
- Backport to Master 2.4

* Fri Aug  6 2004 Sergey Kalinin  <banzaj@altlinux.ru> 0.9.7-alt2
- URL view in $BROWSER fix
- conrib and examles moved in %_defaultdocdir

* Thu Jul 29 2004 Sergey Kalinin  <banzaj@altlinux.ru> 0.9.7-alt1
- Updated support for file transfer (JEP-0095, JEP-0096, JEP-0047, JEP-0065)
- Support for colored nicks and messages in conference
- Better multiple logins support
- Updated support for xml:lang
- Support for IDNA (RFC3490)
- Many fixes and enhancements
				     
* Wed Feb 25 2004 Sergey Kalinin  <banzaj@altlinux.ru> 0.9.6beta-alt3
- url_handler support

* Thu Oct 23 2003 Sergey Kalinin  <banzaj@altlinux.ru> 0.9.6beta-alt2
- BROWSER variable setting

* Thu Oct 23 2003 Sergey Kalinin  <banzaj@altlinux.ru> 0.9.6beta-alt1
- Multiple logins support
- History now splitted by month
- Animated emoteicons support
- Many user interface improvements
- More XMPP support
- More translations
- Bugfixes 
